flsimd.cpp File Reference

flext SIMD support functions More...

`#include "flext.h"`
`#include <cstring>`
`#include "flpushns.h"`
`#include "flpopns.h"`

## Macros

#define | __FLEXT_SIMD_CPP

## Functions

unsigned long | setsimdcaps ()

## Detailed Description

flext SIMD support functions

If FLEXT_USE_SIMD is defined at compilation, SIMD instructions are used wherever feasible. If used with MSVC++ 6 the "Processor Pack" must be installed.

If FLEXT_USE_IPP is defined the Intel Performance Package is used.

## Macro Definition Documentation

## __FLEXT_SIMD_CPP

#define __FLEXT_SIMD_CPP

## Function Documentation

## setsimdcaps()

unsigned long setsimdcaps | ( |  | ) |

inline